Skip to main content

GET/feedback

This method enables users to retrieve feedback for any specified user ID and feedback type (sent or received). You can refine the results using optional query parameters such as its feedback ID, listing ID, or order line item ID, or applying one or more filters.

Applying filters can narrow results using criteria such as comment type, photos, or topics identified through AI-based analysis. When filtering for feedback with photos (filterImage:true), only entries with images (entries that include image URLs) are returned. Additionally, feedback can be refined for the number of days to look back, the role of the user providing the feedback, and whether to include automated feedback entries left by eBay.

Sorting and pagination features help organize and navigate returned items efficiently.

Returned data includes feedback details (such as comment text and type), feedback ratings (covering criteria like overall experience, and for sellers item description, shipping time, and communication), role and attributes of the feedback giver, line item and transaction summaries, images, and any available topics. See filter for additional information. Privacy is safeguarded by restricting the amount of detail visible to users, depending on their context. When accessing another user's feedback without logging in, buyer names are masked and seller names are shown. Logged-in users viewing their own feedback see all names, while those viewing other users' feedback will encounter some masking.

Input

Resource URI

This method is supported in Sandbox environment. To access the endpoint, just replace the api.ebay.com root URI with api.sandbox.ebay.com

URI parameters

ParameterTypeDescription
feedback_typestringUse this field to specify the type of feedback records to return. Acceptable values:
  • FEEDBACK_RECEIVED: Retrieve feedback received by the specified user.
  • FEEDBACK_SENT: Retrieve feedback sent by the specified user.

If not specified, both feedback received and feedback left for the user shall be retrieved.

Note: When using FEEDBACK_SENT, it is recommended to also filter feedback_id to target results accurately.

Occurrence: Required

user_idstringUse this field to specify the unique identifier user ID (eBay username of the user) of the account for which feedback is being retrieved.

Note: Both usernames and public user IDs will be accepted in this field. For more information, please refer to Data Handling Compliance.

Occurrence: Required

feedback_idstringUse this field to only return a specific feedback record by its feedback ID.

Note: If this query parameter is used, no other filters will be applicable.

Occurrence: Optional

listing_idstringUse this field to limit feedback entries to those associated with a specified listing.

Occurrence: Optional

transaction_idstringUse this field to limit feedback entries to those associated with the specified transaction ID.

Occurrence: Optional

order_line_item_idstringUse this field to retrieve specific feedback entries related to an order line item ID. A maximum of two entries may be retrieved: feedback left by the buyer and feedback left by the seller.

Note: If this query parameter is set, no other filters will be applicable.

Occurrence: Optional

sortstringUse this parameter to configure the order of the returned items. The time is based on when the buyer paid for the line item. Acceptable values:
  • RELEVANCE: Sorts items by relevance (default). This sort takes into account any available factors such as a comment score, comment type (positive, negative, neutral), how long ago the comment was left, or the length of the comment
  • TIME: Sorts items by end time from newest to oldest.

If this parameter is omitted, its value defaults to RELEVANCE.

Default: RELEVANCE

Occurrence: Optional

limitintegerUse this parameter to set the maximum number of items to return per page of data.

Use this parameter in conjunction with the offset parameter to control the pagination of the output. For example, with offset set to 20 and limit set to 10, the call retrieves entries 21 through 30 from the result set.

Although this field is optional, if omitted the default value of 25 is used.

Default: 25

Minimum: 25

Maximum: 200

Occurrence: Optional

offsetintegerUse this field to specify the number of line items to skip in the result set. This is used with the limit field to control the pagination of the output. For example:
  • If offset is 0 and limit is 10, the method will retrieve items 1-10 from the list of line items returned
  • If offset is 10 and limit is 10, the method will retrieve items 11-20 from the list of line items returned.

Note: This feature employs a zero-based list, where the first line item in the list has an offset of 0.

If this parameter is not set, its value defaults to 0 which returns the first page of records.

Default: 0

Occurrence: Optional

filterstringUse this parameter to limit the response based on the specified filter parameters as follows:
  • commentType: Return only feedback with the set type of comments. Comment types available: POSITIVE, NEUTRAL, or NEGATIVE

    Note: Sellers can only provide positive feedback.

  • filterImage: Return feedback dependent on if images are included. Filter values available:
    • true: Return only feedback with images
    • false: Return feedback with or without images
  • topics: Use AI to generate items returned that are associated to the set topic. For example, if you set topics:shipping, only feedback comments about shipping are returned. Topics available: shipping, service, packaging, description, seller-satisfaction, overall-satisfaction, refund, inventory, customer loyalty, seller-other, quality, price, condition, fit, appearance, dimensions, usage, product-satisfaction, product-other, extras

    See Retrieve AI-filtered feedback for an example.
  • period: Filter results by the number of days to look back for feedback. If not set, lifetime results are returned. Supported values available: 7, 30, 90, 180, or 365
  • role: Filter results by the role of the user providing feedback. Roles available: BUYER or SELLER
  • showAutomatedFeedback: Filter results to include automated feedback left by eBay entries. For sellers with less than a 10 feedback score, an automated feedback message on behalf of eBay is returned.
    • true: Return automated feedback including both user and eBay generated feedback
    • false: Do not return eBay's automatic feedback for seller in response (default)
Send the filter as a query parameter in a comma-separated name:value list. For example:

filter=commentType:POSITIVE,filterImage:true,topics:fit,period:30,role:SELLER,showAutomatedFeedback:true

Occurrence: Optional

HTTP request headers

All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.

All other standard RESTful request headers are optional. For more information on standard RESTful request headers, see the HTTP request headers- opens rest request components page table.

OAuth scope

This request requires an access token created with either authorization code grant flow or client credentials grant flow. Please refer to the note below for more details.

The access token must be created using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

https://api.ebay.com/oauth/api_scope/commerce.feedback

https://api.ebay.com/oauth/api_scope/commerce.feedback.readonly

See OAuth access tokens for more information.

Note: For this API, an OAuth token can be created with the authorization code grant flow or with the client credentials grant flow.

  • Authorization code grant flow
    Use this flow and the following scope if the user has a relationship with the feedback as either a buyer or seller, to retrieve all available data. When using this flow, users viewing their own feedback see all eBay user names, while viewing other users' feedback will encounter some masking.
    Scope: https://api.ebay.com/oauth/api_scope/commerce.feedback
  • Client credentials grant flow
    Use this flow and the following scope to access another user's feedback without logging in. Buyer names are masked and seller names are shown.
    Scope: https://api.ebay.com/oauth/api_scope/commerce.feedback.readonly

Request payload

This call has no payload.

Request fields

This call has no field definitions.

Output

HTTP response headers

This call has no response headers.

Response payload

{ /* GetFeedbackResponse */
"feedbackEntries" : [
{ /* FeedbackDetail */
"images" : [
{ /* Image */
"url" : "string"
}
],
}
],
"pagination" :
{ /* Pagination */
"count" : "integer",
"limit" : "integer",
"next" : "string",
"prev" : "string",
}
}

Response fields

Output container/fieldTypeDescription
feedbackEntriesarray of FeedbackDetail

This array contains a list of feedback entries that meet the specified criteria.

Occurrence: Always

feedbackEntries.automatedFeedbackboolean

If the returned value is true, feedback was generated and added automatically by eBay. If a seller has a feedback score 10 or less, eBay automatically leaves feedback. The buyer can choose to override the eBay feedback and leave feedback normally.

Note: Detailed Seller Ratings (DSRs) are not provided by ebay, only a predefined comment and a positive rating.

Occurrence: Always

feedbackEntries.commentTypeFeedbackRatingValuesEnum

This enumerated value indicates the type of feedback: POSITIVE, NEUTRAL, NEGATIVE.

Note: Sellers can only leave positive feedback for buyers.

Occurrence: Always

feedbackEntries.eligibleForRevisionboolean

This boolean indicates whether the feedback is eligible for revision. If returned as true, it means the feedback can be modified. Feedback that is older than 30 days or has already been revised once cannot be erased or further revised.

Occurrence: Always

feedbackEntries.feedbackCommentComment

This container provides the feedback comment left by a user when submitting feedback for a seller or buyer.

Occurrence: Always

feedbackEntries.feedbackComment.commentPeriodCommentCommentPeriod

This container indicates the timing of a feedback comment based on when it was left. It is only returned if a comment was provided. Possible values are 30 days, 90 days, 180 days, 365 days, or 5 years:

  • Less than 30 days: 30 DAY
  • Over 30 but less than 90 days: 90 DAY
  • Over 90 but less than 180 days: 180 DAY
  • Over 180 but less than 365 days: 365 DAY
  • More than 365 days: 5 YEAR

Occurrence: Always

feedbackEntries.feedbackComment.commentPeriod.unitstring

Unit of time for the value. Supported values: DAY, or YEAR.

Occurrence: Always

feedbackEntries.feedbackComment.commentPeriod.valueinteger

Value of the time period expressed in the period contained in the unit. Supported values: 30, 60, or 365.

See the commentPeriod container for more information.

Occurrence: Conditional

feedbackEntries.feedbackComment.commentTextstring

The text of the feedback comment, follow-up, or reply. HTML formatting and personal information (for example, phone numbers) are not allowed. This field is returned if a comment was provided for the feedback entry. If the comment was removed due to eBay policy, this field will contain '--' and the commentTextRemovedPerPolicy field will return true.

Occurrence: Always

feedbackEntries.feedbackComment.commentTextRemovedPerPolicyboolean

If true, this boolean indicates the feedback follow-up or reply comment text was removed per eBay policy. This field is only returned when a followupComment container is returned.

Occurrence: Always

feedbackEntries.feedbackComment.stateFeedbackCommentStateEnum

This enumerated value indicates the state of the feedback (for example, ENTERED). This can be the state of the feedback comment, the follow-up comment, or the reply comment.

Occurrence: Always

feedbackEntries.feedbackEnteredDatestring

The timestamp when the feedback was submitted.

Occurrence: Always

feedbackEntries.feedbackEnteredPeriodFeedbackEnteredPeriod

This container represents the duration since feedback was entered, expressed as a numeric value and a unit of time in days.

Occurrence: Conditional

feedbackEntries.feedbackEnteredPeriod.unitstring

The unit for the feedback entry period's value. Supported value: DAY.

Occurrence: Conditional

feedbackEntries.feedbackEnteredPeriod.valueinteger

The value for the feedback entry period, specified in units of unit. Supported values: 7, 30, 90, 180, or 365.

Occurrence: Conditional

feedbackEntries.feedbackIdstring

The unique identifier of the feedback entry.

Occurrence: Always

feedbackEntries.feedbackRatingsarray of FeedbackRating

This array contains a list of ratings attached to feedback.

Note: This array only applies to buyers feedback for sellers (sellers can only give positive feedback to buyers).

Occurrence: Conditional

feedbackEntries.feedbackRatings.ratingTypeFeedbackRatingTypeEnum

This enumerated value indicates the type of rating (for example, OVERALL_EXPERIENCE, DSR_ITEM_AS_DESCRIBED).

Occurrence: Conditional

feedbackEntries.feedbackRatings.valuestring

The value assigned to the rating, specified as a string representing a number from 1 to 5, with 1 representing the lowest rating and 5 representing the highest rating.

Occurrence: Conditional

feedbackEntries.feedbackScoreinteger

The feedback receiver's feedback score after receiving this specific feedback.

Occurrence: Conditional

feedbackEntries.feedbackStateFeedbackStateEnum

This enumerated value indicates the current state of the feedback entry (for example, ENTERED).

Occurrence: Always

feedbackEntries.followupCommentComment

This container provides the details of any follow-up comment left.

Note: A buyer leaves followup comments, and a seller leaves reply comments.

Occurrence: Conditional

feedbackEntries.followupComment.commentPeriodCommentCommentPeriod

This container indicates the timing of a feedback comment based on when it was left. It is only returned if a comment was provided. Possible values are 30 days, 90 days, 180 days, 365 days, or 5 years:

  • Less than 30 days: 30 DAY
  • Over 30 but less than 90 days: 90 DAY
  • Over 90 but less than 180 days: 180 DAY
  • Over 180 but less than 365 days: 365 DAY
  • More than 365 days: 5 YEAR

Occurrence: Always

feedbackEntries.followupComment.commentPeriod.unitstring

Unit of time for the value. Supported values: DAY, or YEAR.

Occurrence: Always

feedbackEntries.followupComment.commentPeriod.valueinteger

Value of the time period expressed in the period contained in the unit. Supported values: 30, 60, or 365.

See the commentPeriod container for more information.

Occurrence: Conditional

feedbackEntries.followupComment.commentTextstring

The text of the feedback comment, follow-up, or reply. HTML formatting and personal information (for example, phone numbers) are not allowed. This field is returned if a comment was provided for the feedback entry. If the comment was removed due to eBay policy, this field will contain '--' and the commentTextRemovedPerPolicy field will return true.

Occurrence: Always

feedbackEntries.followupComment.commentTextRemovedPerPolicyboolean

If true, this boolean indicates the feedback follow-up or reply comment text was removed per eBay policy. This field is only returned when a followupComment container is returned.

Occurrence: Always

feedbackEntries.followupComment.stateFeedbackCommentStateEnum

This enumerated value indicates the state of the feedback (for example, ENTERED). This can be the state of the feedback comment, the follow-up comment, or the reply comment.

Occurrence: Always

feedbackEntries.hasImagesboolean

If returned as true, this boolean indicates that the feedback entry has one or more images attached. If false, there are no images attached.

Occurrence: Always

feedbackEntries.imagesarray of Image

This array contains the list of attached images.

Occurrence: Conditional

feedbackEntries.images.urlstring

This field provides the URL of an attached image and is included in the response whenever an image is attached.

Occurrence: Always

feedbackEntries.orderLineItemSummaryOrderLineItemSummary

This container provides a summary of the line item associated with the feedback entry.

Note: Certain fields within this container are returned only when the request uses the Authorization code grant flow (user access token) and the user_id matches the authenticated user. These fields are not returned when accessing a different user_id or when using the Client credentials grant flow (application access token). See OAuth scope for for details on the flows and required permissions.

Occurrence: Always

feedbackEntries.orderLineItemSummary.listingIdstring

This field provides the unique identifier for the listing associated with the feedback entry. Conditionally returned based on the authorization flow and user context. See orderLineItemSummary for details on when this field is included.

Occurrence: Conditional

feedbackEntries.orderLineItemSummary.listingPriceListingPrice

This container provides the sale price of the listing. Conditionally returned based on the authorization flow and user context. See orderLineItemSummary for details on when this field is included.

Occurrence: Conditional

feedbackEntries.orderLineItemSummary.listingPrice.currencystring

This field provides the three-letter ISO 4217 code that represents the currency of the amount in the value field. Both the value and currency fields are always returned when expressing prices.

Occurrence: Always

feedbackEntries.orderLineItemSummary.listingPrice.valuenumber

This field contains the numerical value of the listing price in the currency specified in the currency field. Both the value and currency fields are always returned when expressing prices.

Occurrence: Always

feedbackEntries.orderLineItemSummary.listingTitlestring

This field contains the title of the listing. Conditionally returned based on the authorization flow and user context. See orderLineItemSummary for details on when this field is included.

Occurrence: Conditional

feedbackEntries.orderLineItemSummary.orderLineItemAttributesarray of OrderLineItemAttribute

This array describes order line attributes including names and values of a transaction.

Occurrence: Conditional

feedbackEntries.orderLineItemSummary.orderLineItemAttributes.nameOrderLineItemAttributesEnum

This enumerated value indicates an attribute of the line item. The value field indicates if the attribute applies.

Occurrence: Conditional

feedbackEntries.orderLineItemSummary.orderLineItemAttributes.valuestring

If returned as true, the line item attribute name applies; if returned as false, the attribute does not apply.

Occurrence: Conditional

feedbackEntries.orderLineItemSummary.orderLineItemIdstring

The unique identifier of the line item for this feedback. Conditionally returned based on the authorization flow and user context. See orderLineItemSummary for details on when this field is included.

Occurrence: Conditional

feedbackEntries.orderLineItemSummary.transactionPeriodTransactionPeriod

This container indicates if the time since the item was bought on ebay is less than, more than, or equal to 90 days

Occurrence: Always

feedbackEntries.orderLineItemSummary.transactionPeriod.periodPeriod

This container indicates if the time since the item was bought on ebay is less than, more than, or equal to 90 days.

Occurrence: Always

feedbackEntries.orderLineItemSummary.transactionPeriod.period.unitstring

The unit of the period's value. Supported value: DAY.

Occurrence: Always

feedbackEntries.orderLineItemSummary.transactionPeriod.period.valueinteger

The value for the feedback period, specified in units of unit. Supported value: 90.

Occurrence: Always

feedbackEntries.orderLineItemSummary.transactionPeriod.thresholdTypeThresholdTypeEnum

This enumerated value indicates whether a transaction period exceeds, falls short, or matches the threshold. You can use this field to trigger specific logic or actions based on whether a transaction period exceeds, falls short, or matches the threshold.

Occurrence: Always

feedbackEntries.providerUserDetailProviderUserDetail

This container details the attributes of the user who provided the feedback.

Occurrence: Always

feedbackEntries.providerUserDetail.feedbackScoreinteger

This integer indicates the feedback score of the feedback provider at the time of providing this specific feedback.

Occurrence: Always

feedbackEntries.providerUserDetail.feedbackStarFeedbackStarTypeEnum

This enumerated value provides the visual star representation of the feedback score (for example, YELLOW_STAR).

Occurrence: Always

feedbackEntries.providerUserDetail.roleUserRoleEnum

This enumerated value indicates the user's role in the transaction (BUYER or SELLER).

Occurrence: Always

feedbackEntries.providerUserDetail.userAttributesarray of ProviderUserDetailUserAttributes

This array lists additional attributes that relate to the user (such as verification status).

Occurrence: Always

feedbackEntries.providerUserDetail.userAttributes.nameUserAttributeEnum

This enumerated value indicates an attribute of the user (for example, USER_VERIFIED). The value field indicates if the attribute applies.

Occurrence: Always

feedbackEntries.providerUserDetail.userAttributes.valuestring

If returned as true, the user attribute name applies; if returned as false, the attribute does not apply.

Occurrence: Always

feedbackEntries.providerUserDetail.userIdstring

This field indicates the unique identifier of the user who gave the feedback.

Note: Select developers will not receive username data for U.S. users through this field. Instead, an immutable user ID will be returned in its place. For more information, please refer to Data Handling Compliance.

Occurrence: Always

feedbackEntries.repliedBeforeFollowupboolean

If returned as true, this boolean indicates the feedback reply was given by the seller before the follow-up comment was given buy the buyer.

Occurrence: Conditional

feedbackEntries.replyCommentComment

This container provides the details of any reply to the feedback.

Note: A buyer leaves followup comments, and a seller leaves reply comments.

Occurrence: Conditional

feedbackEntries.replyComment.commentPeriodCommentCommentPeriod

This container indicates the timing of a feedback comment based on when it was left. It is only returned if a comment was provided. Possible values are 30 days, 90 days, 180 days, 365 days, or 5 years:

  • Less than 30 days: 30 DAY
  • Over 30 but less than 90 days: 90 DAY
  • Over 90 but less than 180 days: 180 DAY
  • Over 180 but less than 365 days: 365 DAY
  • More than 365 days: 5 YEAR

Occurrence: Always

feedbackEntries.replyComment.commentPeriod.unitstring

Unit of time for the value. Supported values: DAY, or YEAR.

Occurrence: Always

feedbackEntries.replyComment.commentPeriod.valueinteger

Value of the time period expressed in the period contained in the unit. Supported values: 30, 60, or 365.

See the commentPeriod container for more information.

Occurrence: Conditional

feedbackEntries.replyComment.commentTextstring

The text of the feedback comment, follow-up, or reply. HTML formatting and personal information (for example, phone numbers) are not allowed. This field is returned if a comment was provided for the feedback entry. If the comment was removed due to eBay policy, this field will contain '--' and the commentTextRemovedPerPolicy field will return true.

Occurrence: Always

feedbackEntries.replyComment.commentTextRemovedPerPolicyboolean

If true, this boolean indicates the feedback follow-up or reply comment text was removed per eBay policy. This field is only returned when a followupComment container is returned.

Occurrence: Always

feedbackEntries.replyComment.stateFeedbackCommentStateEnum

This enumerated value indicates the state of the feedback (for example, ENTERED). This can be the state of the feedback comment, the follow-up comment, or the reply comment.

Occurrence: Always

feedbackEntries.topicsarray of Topic

This array provides descriptions of AI-generated insights related to a feedback entry for the specified filter topic. The feedback provided is considered relevant to the requested topic. For example, when using the request parameter filter of topics:product-satisfaction, the returned array might be:

{
"coarseTopic" : "product-satisfaction",
"highlightedTexts" : [
"This machine is amazing",
"Very happy with this purchase"
],
"sentiment" : "Positive"
}

If no topics exist for that feedback, an empty array is returned.

Occurrence: Conditional

feedbackEntries.topics.coarseTopicstring

The main topic (or category) detected in the comment. See the available topics in filter.

Occurrence: Conditional

feedbackEntries.topics.fineTopicstring

Note: Fine topics are not currently supported.

A more specific detail or subtopic related to the coarse topic.

Occurrence: Conditional

feedbackEntries.topics.highlightedTextsarray of string

This array lists any text snippets, phrases, or examples, from the feedback that supports the detected topic.

Occurrence: Conditional

feedbackEntries.topics.sentimentstring

This field indicates a classification of the feedback, whether the feedback is Positive, Negative, or Neutral.

Occurrence: Conditional

paginationPagination

This container provides pagination information for the returned feedback response (as filtered).

Occurrence: Conditional

pagination.countinteger

This value indicates the number of feedback entries on the current response page.

Occurrence: Always

pagination.limitinteger

The value of the limit parameter submitted in the request. This is the maximum number of line items, as filtered, awaiting feedback to return per page from the result set. This field indicates the number of line items returned per page of data.

Note: If this is the last or only page of the result set, the page may contain fewer line items than the limit value.

If a limit parameter was not included in the request, this value will default to 25, returning up to 25 line items on each page.

Default: 25

Occurrence: Always

pagination.nextstring

The relative URI for the next page of results starting with the resource name. This URI is returned if there is an additional page of results in the result set.

Occurrence: Conditional

pagination.offsetinteger

The value of the offset parameter submitted in the request. This field indicates how many results were skipped in the response. If an offset parameter was not included in the request, this value will default to 0, returning the first page of results.

Default: 0

Occurrence: Always

pagination.prevstring

The relative URI for the previous page of results starting with the resource name. This URI is returned if there is a previous page of results in the result set.

Occurrence: Conditional

pagination.totalinteger

The total number of line items available that match the filter criteria.

Note: If the total value exceeds the limit value, there are multiple pages of results.

Occurrence: Always

HTTP status codes

This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.

StatusMeaning
200Success
400Bad Request
401Not Authorized
500Internal Server Error

Error codes

For more on errors, plus the codes of other common errors, see Handling errors.

CodeDomainCategoryMeaning
501000API_FEEDBACKREQUESTUser Id request parameter is required or is invalid.
501001API_FEEDBACKREQUESTFeedback type request parameter is required or invalid. Must be FEEDBACK_RECEIVED or FEEDBACK_SENT.
501002API_FEEDBACKREQUESTUnsupported request parameter combination.
501003API_FEEDBACKREQUESTListing id request parameter is invalid.
501025API_FEEDBACKREQUESTInput user role value is invalid.
501035API_FEEDBACKREQUESTInvalid sort type value. Must be RELEVANCE or TIME.
501036API_FEEDBACKREQUESTInvalid overall rating value. Must be POSITIVE, NEUTRAL, or NEGATIVE.
501037API_FEEDBACKREQUESTInvalid period value. Must be 30, 60, or 365.
501038API_FEEDBACKREQUESTInvalid topics value. Must be from the allowed topics list.
501039API_FEEDBACKREQUESTFeedback not found for the given request parameters.

Warnings

This call has no warnings.

Samples

New to making API calls? Please see Making a Call.

Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.

Sample 1: Get Feedback by feedback_id

This call retrieves detailed feedback information using a specified feedback ID. Feedback is tracked at the line item level within an order, meaning each feedback entry corresponds to a single line item.

Input

The inputs are feedback_type, user_id, and feedback_id URI parameters.

GEThttps://api.ebay.com/commerce/feedback/v1/feedback?feedback_type=FEEDBACK_RECEIVED&user_id=sd*********er&feedback_id=89*******17

Output

If the call is successful, an array of line items matching the specified criteria are returned. Since no offset or limit was sent in the request, the default values were used and returned.